#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 foldl
version:              1.4.8
visibility:           public
id:                   foldl-1.4.8-4oDT6jGFnhr93Vb5xoTQJl
key:                  foldl-1.4.8-4oDT6jGFnhr93Vb5xoTQJl
license:              BSD-3-Clause
copyright:            2013 Gabriel Gonzalez
maintainer:           Gabriel439@gmail.com
author:               Gabriel Gonzalez
synopsis:             Composable, streaming, and efficient left folds
description:
    This library provides strict left folds that stream in constant
    memory, and you can combine folds using @Applicative@ style to derive new
    folds.  Derived folds still traverse the container just once and are often as
    efficient as hand-written folds.

category:             Control
abi:                  e08a6f742431743fc5d3afb7ce064f56
exposed:              True
exposed-modules:
    Control.Foldl Control.Foldl.ByteString Control.Foldl.Text
    Control.Scanl

hidden-modules:       Control.Foldl.Optics Control.Foldl.Internal
import-dirs:          /usr/lib/ghc-8.10.1/site-local/foldl-1.4.8
library-dirs:         /usr/lib/ghc-8.10.1/site-local/foldl-1.4.8
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.1/foldl-1.4.8
hs-libraries:         HSfoldl-1.4.8-4oDT6jGFnhr93Vb5xoTQJl
depends:
    base-4.14.0.0 bytestring-0.10.10.0
    comonad-5.0.6-EiAcNjneBQxDmZ7QttgSbu containers-0.6.2.1
    contravariant-1.5.2-3rEsfj3YINxBWDceLgF1Rb
    hashable-1.3.0.0-9F611IS0xQZAXu85l3N6Qy
    mwc-random-0.14.0.0-IYXnVAdqobsHe57WJcU0Zm
    primitive-0.7.1.0-IFi6E3ujuHzGpMfr4UimtV
    profunctors-5.5.2-8S7A1fQkJe79zZkBB8LZHK
    semigroupoids-5.3.4-ByCYdJxCt6F9SKDx88zwb6 text-1.2.3.2
    transformers-0.5.6.2
    unordered-containers-0.2.12.0-8JXKszpgMXuybqLOiZpMH
    vector-0.12.1.2-KotqULZza37AeFlfLxbJau
    vector-builder-0.3.8-6OccOdj3RovCFKvU3hFCUN

haddock-interfaces:   /usr/share/doc/haskell-foldl/html/foldl.haddock
haddock-html:         /usr/share/doc/haskell-foldl/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

